Subject: Re: bug#406: apt-2.0.0: Runs very, very slow after update to version 2.0

From: Andreas Messer <[email-masked]>
Date: Sun, 3 May 2020 19:20:30 +0200

Hi Klaus,

On Thu, Apr 16, 2020 at 09:12:06PM +0100, Klaus Ethgen wrote:
> > Would you mind providing your sources.list(s) to me, such that
> > I can try to reproduce the problem? Thanks!
> 
> Sure.
> [ Removed apt sources.list ]
> 
> install daptub and run `/usr/bin/daptup --hook --post`, that will take
> 10 Minutes.

I had to remove some of your local repos for testing, so my test result
is probably not of much use. Running the command took about 6 seconds
on my machine.

As far as I understand daptup is another tool not part of apt package. 
So maybe it is at the moment not apt to blame. We should figure out were 
the delay occurs. Did you check that you local file repos are available 
(e.g. mounted properly before running the tool?)

Could you please install libdevel-dprof-perl and then run daptup as
follows within /tmp:

    $ sudo perl -d:DProf /usr/bin/daptup --hook --post

Then please invoke:

    $ dprofpp

And mail the output.

Best regards
Andreas

-- 
gnuPG keyid: 8C2BAF51
fingerprint: 28EE 8438 E688 D992 3661 C753 90B3 BAAA 8C2B AF51